Bug 1152451 - cairo-1.14.0 is available
Summary: cairo-1.14.0 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cairo
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Benjamin Otte
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-14 08:17 UTC by Upstream Release Monitoring
Modified: 2015-03-01 06:52 UTC (History)
3 users (show)

Fixed In Version: cairo-1.14.0-2.fc21
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-01 06:50:11 UTC
Type: ---


Attachments (Terms of Use)
Update to 1.14.0 (4.59 KB, patch)
2014-10-30 15:32 UTC, Michael Kuhn
no flags Details | Diff
Add patch to fix crash with certain PDF files. (2.75 KB, patch)
2014-12-22 22:36 UTC, Michael Kuhn
no flags Details | Diff

Description Upstream Release Monitoring 2014-10-14 08:17:00 UTC
Latest upstream release: 1.14.0
Current version/release in Fedora Rawhide: 1.13.1-0.4.git337ab1f.fc22
URL: http://cairographics.org/releases/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://github.com/fedora-infra/anitya/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 1 Michael Kuhn 2014-10-30 15:32:17 UTC
Created attachment 952221 [details]
Update to 1.14.0

The attached patch updates the cairo package to version 1.14.0.
It also includes a patch that is required to fix a crash with certain PDF files.

I have been running that version locally for a few days now and have not noticed any problems.

Comment 3 Michael Kuhn 2014-12-22 22:36:46 UTC
Created attachment 972189 [details]
Add patch to fix crash with certain PDF files.

As far as I can see, rawhide is still missing the patch to fix a crash that occurs with certain PDF files. The attached patch adds a patch for this to the package.

Comment 4 Fedora Update System 2015-01-28 23:27:50 UTC
cairo-1.14.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cairo-1.14.0-1.fc21

Comment 5 Fedora Update System 2015-01-28 23:54:10 UTC
cairo-1.14.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cairo-1.14.0-1.fc20

Comment 6 Fedora Update System 2015-01-30 04:39:36 UTC
Package cairo-1.14.0-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cairo-1.14.0-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1384/cairo-1.14.0-1.fc20
then log in and leave karma (feedback).

Comment 7 Upstream Release Monitoring 2015-02-21 21:56:03 UTC
till's cairo-1.14.0-3.fc23 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=613818

Comment 8 Fedora Update System 2015-03-01 06:50:11 UTC
cairo-1.14.0-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-03-01 06:52:00 UTC
cairo-1.14.0-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.